import { PageViewport } from '../../pdfjs';
import { Page } from './page';
export declare class CanvasPage {
    private readonly page;
    private readonly maxCanvasPixels;
    private _canvasWrapper?;
    private _canvas?;
    private prevCanvas?;
    private hasRestrictedScaling;
    private outputScale?;
    private scaleRoundX;
    private scaleRoundY;
    private hidden?;
    private _originalViewport?;
    constructor(page: Page, maxCanvasPixels?: number);
    get canvasWrapper(): HTMLDivElement | undefined;
    get canvas(): HTMLCanvasElement | undefined;
    get originalViewport(): import('pdfjs-dist/types/src/display/display_utils').PageViewport | undefined;
    render(): number[] | undefined;
    isOnlyCssZoom(viewport: PageViewport): boolean;
    get ctx(): CanvasRenderingContext2D | null | undefined;
    show(isLastShow?: boolean): void;
    reset(): void;
    destroy(destroyWrapper?: boolean): void;
}
